Package com.independentsoft.office.odf

# Class FormatChange

java.lang.Object
com.independentsoft.office.odf.FormatChange

All Implemented Interfaces:
  `IChangedRegionContent`, `IContentElement`

public class FormatChange extends Object implements IChangedRegionContent
Represents any change in formatting attributes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormatChange()`
  Initializes a new instance of the FormatChange class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormatChange`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `ChangeInfo`
  `getChangeInfo()`
  Specifies who made a change and when.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setChangeInfo​(ChangeInfo changeInfo)`
  Specifies who made a change and when.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current FormatChange object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FormatChange

    public FormatChange()
    Initializes a new instance of the FormatChange class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public FormatChange clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IChangedRegionContent`
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current FormatChange object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getChangeInfo

    public ChangeInfo getChangeInfo()
    Specifies who made a change and when. It may also contain a comment on the change.
    Returns:
      the change info

  - ### setChangeInfo

    public void setChangeInfo​(ChangeInfo changeInfo)
    Specifies who made a change and when. It may also contain a comment on the change.
    Parameters:
      `changeInfo` - the new change info